Loading...
Searching...
No Matches
apr_md4.h File Reference

APR-UTIL MD4 Library. More...

`#include "apu.h"`
`#include "apr_xlate.h"`
Include dependency graph for apr_md4.h:

Go to the source code of this file.

## Data Structures

struct | apr_md4_ctx_t

## Macros

#define | APR_MD4_DIGESTSIZE 16

## Typedefs

typedef struct apr_md4_ctx_t | apr_md4_ctx_t

## Functions

apr_status_t | apr_md4_init (apr_md4_ctx_t *context)
apr_status_t | apr_md4_set_xlate (apr_md4_ctx_t *context, apr_xlate_t *xlate)
apr_status_t | apr_md4_update (apr_md4_ctx_t *context, const unsigned char *input, apr_size_t inputLen)
apr_status_t | apr_md4_final (unsigned char digest[APR_MD4_DIGESTSIZE], apr_md4_ctx_t *context)
apr_status_t | apr_md4 (unsigned char digest[APR_MD4_DIGESTSIZE], const unsigned char *input, apr_size_t inputLen)

## Detailed Description

APR-UTIL MD4 Library.